
QGIS Application - Bug report #5225

Error for labeling with rule based renderer

2012-03-23 07:06 AM - Otto Dassau

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:1.7.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14961

Description

Hi,

I have a point shape layer with street names. The field 'name' often only contains the word "Weg" and I don't want to see this on the map.

If I select categorized rendering based on column 'name' and remove the category "Weg", the points and labels for "Weg" are invisible -

fine.

If I use rule-based rendering with the filter NOT name = 'Weg', the points for "Weg" are invisible, but I can still see the labels. Since I want

to use the rule-based renderer, can someone tell, if this is a bug or if I do something wrong? Attached you find a test shape file to

reproduce.

Thanks a lot

Otto

History

#1 - 2012-03-26 12:30 AM - Otto Dassau

- Affected QGIS version changed from master to 1.7.4

- Target version set to 35

#2 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#3 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-09-22 02:02 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

seems fixed, at least in qgis 2.0.

Files

error_rule_based_labeling.zip 1.87 KB 2012-03-23 Otto Dassau
